Bug 144972 - Evolution tries to change the attachment's name to UTF-8 messing up the name
Evolution tries to change the attachment's name to UTF-8 messing up the name
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
7
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-13 02:49 EST by Antonis Tsolomitis
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-11 12:36:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Antonis Tsolomitis 2005-01-13 02:49:02 EST
Description of problem:

System is Fedora Core 3 (fresh install)
System Locale is el_GR      (not unicode, i.e., *not* el_GR.UTF-8)
When I attach any file with greek name (encoding iso-8859-7)
Evolution attaches it, but tries to change the name to UTF-8 messing
it up (becomes unreadable). In the configuration of Evo, the character
set is set to iso-8859-7, not to utf-8)


Version-Release number of selected component (if applicable):

2.0.2

How reproducible:

Always

Steps to Reproduce:
1. Set locale to el_GR and X keyboard (xkb) to us,el enable any method
to toggle. Set Evolution charset to Greek (iso-8859-7)
2. create a file with greek name (gnome terminal should show proper
greek letters when it's encoding is set to iso-8859-7 
3. Try to attach it to Evolution and see what happens with the name
(it enforces a change to UTF-8 messing it up).
  
Actual results:

Evolution attaches the file in UTF-8 filename, and this is how it
appears at the recipient end. However the translation to UTF-8 can not
be read since Evolution runs in locale/charset el_GR.

Expected results:


Additional info:

I am not sure it is evolution, because similar thing happens with
OpenOffice. From oowriter: File->Open then select any file with not
latin, not unicode filename and 
oowriter fails to open it because it tries to load a file with a
translated to Unicode filename which does not exist. OpenOffice uses
gnome-open. I do not know what is this. However, if you do "oowriter
greek-filename.doc" it works fine. 

On the other hand Gnome has no problem with el_GR (menus are fine in
proper Greek).
Comment 2 Simos Xenitellis 2006-02-24 18:20:54 EST
This looks like an upstream bug for 
1. the attachment filename ("evolution" GNOME product )
2. the file-open dialog box ("gtk+" GNOME product)

Visit  bugzilla.gnome.org  to report these.

Is it a critical issue not to use Unicode locales?
Comment 3 Matthew Miller 2006-07-10 17:00:58 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 Matěj Cepl 2007-08-31 11:22:59 EDT
The distribution against which this bug was reported is no longer supported,
could you please reproduce this with the updated version of the currently
supported distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue
turns out to still be reproducible, please let us know in this bug report.  If
after a month's time we have not heard back from you, we will have to close this
bug as INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 5 Ralf Corsepius 2007-10-01 11:14:27 EDT
This bug or a very similar bug seems to have reappeared in FC7.

Version: evolution-2.10.3-4.fc7

To reproduce:
1. create a file name "x++.bla"
2. launch evolution and compose a mail, with x++.bla as attachment.
3. Send this mail to yourself.
4. When it arrives, try to save it using "save as".
Here (en_US.UTF-8), it appears as "x%2B%2B.bla" 
and is being stored under this name.
Comment 6 Milan Crha 2007-11-20 07:56:37 EST
The bug from comment #5 has been fixed in upstream bug [1] and is not about
UTF-8 characters. Fix for this is included in Fedora 8.

Can you still reproduce the initial bug, please?

[1] http://bugzilla.gnome.org/show_bug.cgi?id=367760
Comment 7 Matěj Cepl 2007-12-11 12:36:30 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.